Stream assistant chat
curl --request POST \
--url https://api.eventlink.co/api/v1/ai/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"id": "<string>"
}
],
"eventId": "<string>",
"agentId": "<string>",
"assistantMessageId": "<string>",
"parentMessageId": "<string>",
"resumeData": {},
"runId": "<string>",
"toolCallId": "<string>"
}
'import requests
url = "https://api.eventlink.co/api/v1/ai/chat"
payload = {
"messages": [{ "id": "<string>" }],
"eventId": "<string>",
"agentId": "<string>",
"assistantMessageId": "<string>",
"parentMessageId": "<string>",
"resumeData": {},
"runId": "<string>",
"toolCallId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{id: '<string>'}],
eventId: '<string>',
agentId: '<string>',
assistantMessageId: '<string>',
parentMessageId: '<string>',
resumeData: {},
runId: '<string>',
toolCallId: '<string>'
})
};
fetch('https://api.eventlink.co/api/v1/ai/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}ai
Stream assistant chat
AI SDK v6 SSE stream via Mastra. Requires session cookie + X-Organization-Id or Bearer AI API key. Tool approvals: use AI SDK approval-responded parts on the next /chat turn, or POST /chat/tool-approval.
POST
/
api
/
v1
/
ai
/
chat
Stream assistant chat
Authorizations
bearerAuthcookieAuth
Better Auth API key.
Body
application/json
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1Response
AI SDK v6 UI message stream (SSE)
⌘I